diff debian/patches/11_check_template_style @ 4:c5749e43b1d7

Adding debian files (to original 1.1.29)
author Peter Gervai <grin@grin.hu>
date Wed, 15 Oct 2008 23:35:35 +0200
parents
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/debian/patches/11_check_template_style	Wed Oct 15 23:35:35 2008 +0200
@@ -0,0 +1,20 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 11_check_template_style.dpatch by Martin Michlmayr <tbm@cyrius.com>
+##
+## DP: Check if template style exists before processing images [#308114]
+
+@DPATCH@
+--- bins-1.1.29.orig/bins
++++ bins-1.1.29/bins
+@@ -1092,6 +1092,11 @@
+         exit 1;
+     }
+ 
++    if (! scalar templateDirs($configHash)) {
++        print "Cannot find template style '", $configHash->{templateStyle}, "'\n";
++        exit 1;
++    }
++
+     $picdir = $ARGV[0];
+     $albumdir = $ARGV[1];
+